// creator  : weidu.exe (version 23600)
// argument : TIBER.DLG
// game     : .
// source   : ./override/TIBER.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~TIBER~

IF ~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #10275 /* ~He-hello travelers, I'm Tiber. Could... could I take up some of your time? I would be very grateful if you would just listen to... if you would just help me!~ */
  IF ~~ THEN REPLY #10276 /* ~Sorry, but we don't have the time to listen to every traveler's problem.~ */ GOTO 1
  IF ~~ THEN REPLY #10277 /* ~What is it that troubles you, stranger?~ */ GOTO 2
END

IF ~~ THEN BEGIN 1 // from: 11.0 10.0 9.0 8.0 7.0 2.0 0.0 VICONJ:158.0
  SAY #10278 /* ~That is, I am sorry for bothering you.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
  IF ~Global("X#AjantisTiber1","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#AjantisTiber1","GLOBAL",1)~ EXTERN ~AJANTJ~ 107
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #10279 /* ~Thank you! Thank... you. It's my brother, you see. He and I went into the Cloakwood to clear the woods of the spider colony that infests it. I know it sounds foolish... but my brother had found the sword "Spider's Bane"! The sword was created to kill spiders... and we thought we could become famous... the heroes of Cloakwood, and all that. But my brother hasn't returned yet... and it's been more than a week. Please, could you go into the woods and find him for me? My mother would be so shattered if Chelak were to be dead.~ */
  IF ~~ THEN REPLY #10280 /* ~Don't have the time, or the inclination.~ */ GOTO 1
  IF ~~ THEN REPLY #10281 /* ~We'll find your brother for you, don't worry.~ */ GOTO 3
  IF ~Global("X#TIBER2","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER2","GLOBAL",1)~ GOTO 7
  IF ~Global("X#TIBER2","GLOBAL",0)
InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER2","GLOBAL",1)~ EXTERN ~MINSCJ~ 175
  IF ~Global("X#TIBER2","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER2","GLOBAL",1)~ EXTERN ~DYNAHJ~ 160
  IF ~Global("X#TIBER2","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER2","GLOBAL",1)~ EXTERN ~BRANWJ~ 67
  IF ~Global("X#TIBER2","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER2","GLOBAL",1)~ EXTERN ~VICONJ~ 158
END

IF ~~ THEN BEGIN 3 // from: 11.1 10.1 9.1 8.1 7.1 2.1 VICONJ:158.1
  SAY #10282 /* ~Oh, yes! Please search quickly. His name's Chelak. Be careful.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #27486 /* ~Spiders in the Cloakwood
We encountered a man named Tiber in the Cloakwood, and told him that we'd try to find his brother, Chelak. According to Tiber, his brother entered the Cloakwood in an attempt to destroy a spider infestation.~ */ EXIT
  IF ~Global("X#AjantisTiber3","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#AjantisTiber3","GLOBAL",1)~ EXTERN ~AJANTJ~ 108
END

IF ~  PartyHasItem("MISC90")
~ THEN BEGIN 4 // from:
  SAY #10283 /* ~Chelak! Oh, Chelak. How will I ever tell my mother? I was so stupid! I should have stopped this stupid idea. Such a waste... such a waste. You can keep the damn sword, it's been more of a curse than anything else. I thank you for bringing my brother's body. There was little you could have done.~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
ApplySpellRES("OHMISC90",Myself)
TakePartyItem("MISC90")
EraseJournalEntry(27486)
EscapeArea()
~ SOLVED_JOURNAL #27487 /* ~Spiders in the Cloakwood
For recovering Chelak's corpse from Centeol's lair, Tiber gave us the sword known as Spider's Bane.~ */ EXIT
  IF ~Global("X#TIBER4","GLOBAL",0)
InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER4","GLOBAL",1)~ GOTO 12
  IF ~Global("X#TIBER4","GLOBAL",0)
InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER4","GLOBAL",1)~ EXTERN ~FALDOJ~ 107
  IF ~Global("X#TIBER4","GLOBAL",0)
InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER4","GLOBAL",1)~ GOTO 14
  IF ~Global("X#TIBER4","GLOBAL",0)
InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER4","GLOBAL",1)~ EXTERN ~FALDOJ~ 109
  IF ~Global("X#TIBER4","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER4","GLOBAL",1)~ GOTO 18
  IF ~Global("X#TIBER4","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER4","GLOBAL",1)~ EXTERN ~DYNAHJ~ 163
END

IF ~  True()
~ THEN BEGIN 5 // from:
  SAY #10284 /* ~You haven't found Chelak yet, please keep looking.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #46165 /* ~It was. I'll have to go find someone else to help me.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 2.2
  SAY #49803 /* ~Please. What say you, m'<PRO_LADYLORD>?~ */
  IF ~~ THEN REPLY #10280 /* ~Don't have the time, or the inclination.~ */ GOTO 1
  IF ~~ THEN REPLY #10281 /* ~We'll find your brother for you, don't worry.~ */ GOTO 3
END

IF ~~ THEN BEGIN 8 // from:
  SAY #49803 /* ~Please. What say you, m'<PRO_LADYLORD>?~ */
  IF ~~ THEN REPLY #10280 /* ~Don't have the time, or the inclination.~ */ GOTO 1
  IF ~~ THEN REPLY #10281 /* ~We'll find your brother for you, don't worry.~ */ GOTO 3
END

IF ~~ THEN BEGIN 9 // from:
  SAY #49803 /* ~Please. What say you, m'<PRO_LADYLORD>?~ */
  IF ~~ THEN REPLY #10280 /* ~Don't have the time, or the inclination.~ */ GOTO 1
  IF ~~ THEN REPLY #10281 /* ~We'll find your brother for you, don't worry.~ */ GOTO 3
END

IF ~~ THEN BEGIN 10 // from:
  SAY #49803 /* ~Please. What say you, m'<PRO_LADYLORD>?~ */
  IF ~~ THEN REPLY #10280 /* ~Don't have the time, or the inclination.~ */ GOTO 1
  IF ~~ THEN REPLY #10281 /* ~We'll find your brother for you, don't worry.~ */ GOTO 3
END

IF ~~ THEN BEGIN 11 // from: VICONJ:158.2
  SAY #49803 /* ~Please. What say you, m'<PRO_LADYLORD>?~ */
  IF ~~ THEN REPLY #10280 /* ~Don't have the time, or the inclination.~ */ GOTO 1
  IF ~~ THEN REPLY #10281 /* ~We'll find your brother for you, don't worry.~ */ GOTO 3
END

IF ~~ THEN BEGIN 12 // from: 4.1
  SAY #49809 /* ~May... maybe, but what does it matter now?!~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
ApplySpellRES("OHMISC90",Myself)
TakePartyItem("MISC90")
EraseJournalEntry(27486)
EscapeArea()
~ SOLVED_JOURNAL #27487 /* ~Spiders in the Cloakwood
For recovering Chelak's corpse from Centeol's lair, Tiber gave us the sword known as Spider's Bane.~ */ EXIT
END

IF ~~ THEN BEGIN 13 // from:
  SAY #49809 /* ~May... maybe, but what does it matter now?!~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
ApplySpellRES("OHMISC90",Myself)
TakePartyItem("MISC90")
EraseJournalEntry(27486)
EscapeArea()
~ SOLVED_JOURNAL #27487 /* ~Spiders in the Cloakwood
For recovering Chelak's corpse from Centeol's lair, Tiber gave us the sword known as Spider's Bane.~ */ EXIT
END

IF ~~ THEN BEGIN 14 // from: 4.3
  SAY #49807 /* ~Those were the spiders that killed him...~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
ApplySpellRES("OHMISC90",Myself)
TakePartyItem("MISC90")
EraseJournalEntry(27486)
EscapeArea()
~ SOLVED_JOURNAL #27487 /* ~Spiders in the Cloakwood
For recovering Chelak's corpse from Centeol's lair, Tiber gave us the sword known as Spider's Bane.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 15
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~FALDOJ~ 108
END

IF ~~ THEN BEGIN 15 // from: 14.1
  SAY #49809 /* ~May... maybe, but what does it matter now?!~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
ApplySpellRES("OHMISC90",Myself)
TakePartyItem("MISC90")
EraseJournalEntry(27486)
EscapeArea()
~ SOLVED_JOURNAL #27487 /* ~Spiders in the Cloakwood
For recovering Chelak's corpse from Centeol's lair, Tiber gave us the sword known as Spider's Bane.~ */ EXIT
END

IF ~~ THEN BEGIN 16 // from:
  SAY #49807 /* ~Those were the spiders that killed him...~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
ApplySpellRES("OHMISC90",Myself)
TakePartyItem("MISC90")
EraseJournalEntry(27486)
EscapeArea()
~ SOLVED_JOURNAL #27487 /* ~Spiders in the Cloakwood
For recovering Chelak's corpse from Centeol's lair, Tiber gave us the sword known as Spider's Bane.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 17
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~FALDOJ~ 110
END

IF ~~ THEN BEGIN 17 // from: 16.1
  SAY #49809 /* ~May... maybe, but what does it matter now?!~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
ApplySpellRES("OHMISC90",Myself)
TakePartyItem("MISC90")
EraseJournalEntry(27486)
EscapeArea()
~ SOLVED_JOURNAL #27487 /* ~Spiders in the Cloakwood
For recovering Chelak's corpse from Centeol's lair, Tiber gave us the sword known as Spider's Bane.~ */ EXIT
END

IF ~~ THEN BEGIN 18 // from: 4.5
  SAY #49805 /* ~Poor Chelak!~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
ApplySpellRES("OHMISC90",Myself)
TakePartyItem("MISC90")
EraseJournalEntry(27486)
EscapeArea()
~ SOLVED_JOURNAL #27487 /* ~Spiders in the Cloakwood
For recovering Chelak's corpse from Centeol's lair, Tiber gave us the sword known as Spider's Bane.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 20
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~FALDOJ~ 112
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 19
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~FALDOJ~ 111
END

IF ~~ THEN BEGIN 19 // from: 18.3
  SAY #49807 /* ~Those were the spiders that killed him...~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
ApplySpellRES("OHMISC90",Myself)
TakePartyItem("MISC90")
EraseJournalEntry(27486)
EscapeArea()
~ SOLVED_JOURNAL #27487 /* ~Spiders in the Cloakwood
For recovering Chelak's corpse from Centeol's lair, Tiber gave us the sword known as Spider's Bane.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 20
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~FALDOJ~ 112
END

IF ~~ THEN BEGIN 20 // from: 19.1 18.1
  SAY #49809 /* ~May... maybe, but what does it matter now?!~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
ApplySpellRES("OHMISC90",Myself)
TakePartyItem("MISC90")
EraseJournalEntry(27486)
EscapeArea()
~ SOLVED_JOURNAL #27487 /* ~Spiders in the Cloakwood
For recovering Chelak's corpse from Centeol's lair, Tiber gave us the sword known as Spider's Bane.~ */ EXIT
END

IF ~~ THEN BEGIN 21 // from:
  SAY #49805 /* ~Poor Chelak!~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
ApplySpellRES("OHMISC90",Myself)
TakePartyItem("MISC90")
EraseJournalEntry(27486)
EscapeArea()
~ SOLVED_JOURNAL #27487 /* ~Spiders in the Cloakwood
For recovering Chelak's corpse from Centeol's lair, Tiber gave us the sword known as Spider's Bane.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 23
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~FALDOJ~ 114
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 22
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~FALDOJ~ 113
END

IF ~~ THEN BEGIN 22 // from: 21.3
  SAY #49807 /* ~Those were the spiders that killed him...~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
ApplySpellRES("OHMISC90",Myself)
TakePartyItem("MISC90")
EraseJournalEntry(27486)
EscapeArea()
~ SOLVED_JOURNAL #27487 /* ~Spiders in the Cloakwood
For recovering Chelak's corpse from Centeol's lair, Tiber gave us the sword known as Spider's Bane.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 23
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~FALDOJ~ 114
END

IF ~~ THEN BEGIN 23 // from: 22.1 21.1
  SAY #49809 /* ~May... maybe, but what does it matter now?!~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
ApplySpellRES("OHMISC90",Myself)
TakePartyItem("MISC90")
EraseJournalEntry(27486)
EscapeArea()
~ SOLVED_JOURNAL #27487 /* ~Spiders in the Cloakwood
For recovering Chelak's corpse from Centeol's lair, Tiber gave us the sword known as Spider's Bane.~ */ EXIT
END
